Bug 179969 - [PATCH] multimedia/smpeg: fix build
Summary: [PATCH] multimedia/smpeg: fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-25 16:30 UTC by William Grzybowski
Modified: 2013-07-09 23:34 UTC (History)
0 users

See Also:


Attachments
smpeg.patch (1.85 KB, patch)
2013-06-25 16:30 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski freebsd_committer 2013-06-25 16:30:00 UTC
	Fix build to use correct SDL config and disable gtk player which bombs build with -std=gnu89 (USE_GNOME= gtk12)

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-06-25 16:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-09 23:28:09 UTC
Author: wg
Date: Tue Jul  9 22:27:55 2013
New Revision: 322591
URL: http://svnweb.freebsd.org/changeset/ports/322591

Log:
  multimedia/smpeg: fix build and minor fixes
  
  - Add SDL_CONFIG to env
  - Remove leading article from COMMENT
  - Trim Makefile header
  - Remove GTK Player, version is too old
  
  PR:		ports/179969
  Submitted by:	wg (myself)
  Approved by:	maintainer (timeout)

Modified:
  head/multimedia/smpeg/Makefile
  head/multimedia/smpeg/pkg-plist

Modified: head/multimedia/smpeg/Makefile
==============================================================================
--- head/multimedia/smpeg/Makefile	Tue Jul  9 22:15:01 2013	(r322590)
+++ head/multimedia/smpeg/Makefile	Tue Jul  9 22:27:55 2013	(r322591)
@@ -1,50 +1,37 @@
-# New ports collection makefile for:	smpeg
-# Date created:		2 Feb 2000
-# Whom:			Chris Piazza <cpiazza@FreeBSD.org>
-#
+# Created by: Chris Piazza <cpiazza@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	smpeg
 PORTVERSION=	0.4.4
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	multimedia
 MASTER_SITES=	ftp://sunsite.auc.dk/pub/os/linux/loki/open-source/smpeg/ \
 		${MASTER_SITE_GENTOO}
 MASTER_SITE_SUBDIR=	distfiles
 
 MAINTAINER=	acm@FreeBSD.org
-COMMENT=	A free MPEG1 video player library with sound support
+COMMENT=	Free MPEG1 video player library with sound support
 
 USE_AUTOTOOLS=	libtool
-WANT_GNOME=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_SDL=	sdl
 USE_LDCONFIG=	yes
 CONFIGURE_ENV=	GLBASE="${LOCALBASE}" \
-		CC="${CXX}" REAL_CC="${CC}"
+		CC="${CXX}" REAL_CC="${CC}" \
+		SDL_CONFIG="${SDL_CONFIG}"
 CPPFLAGS+=	-I${LOCALBASE}/include
 
-#If you want to try the opengl player (which doesn't seem to work)
+#If you want to try the opengl/gtk player (which doesn't seem to work)
 #comment out the following line.
 CONFIGURE_ARGS=	--disable-opengl-player \
+		--disable-gtk-player \
 		--enable-mmx
 
 MAN1=		gtv.1 plaympeg.1
 
-.include <bsd.port.pre.mk>
-
-.if ${HAVE_GNOME:Mgtk12}!=""
-USE_GNOME+=	gtk12
-PLIST_SUB+=	GNOME=""
-.else
-CONFIGURE_ARGS+=	--disable-gtk-player
-PLIST_SUB+=	GNOME="@comment "
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e 's|$${CONFIG_SHELL-/bin/sh} $$ac_aux_dir|$$ac_aux_dir|' \
 		${WRKSRC}/configure
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/smpeg/pkg-plist
==============================================================================
--- head/multimedia/smpeg/pkg-plist	Tue Jul  9 22:15:01 2013	(r322590)
+++ head/multimedia/smpeg/pkg-plist	Tue Jul  9 22:27:55 2013	(r322591)
@@ -1,4 +1,3 @@
-%%GNOME%%bin/gtv
 bin/plaympeg
 bin/smpeg-config
 include/smpeg/MPEG.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-07-09 23:34:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!